(ns wanijo-pipeline.steps
  (:require [lambdacd.steps.shell :as lcd-shell]
            [lambdacd-git.core :as lcd-git]))

(def repo-uri "https://gitea.heevyis.ninja/josha/wanijo.git")
(def repo-branch "master")

(defn wait-for-repo [args ctx]
  (lcd-git/wait-for-git ctx
                        repo-uri
                        :ref (str "refs/heads/" repo-branch)))

(defn clone [args ctx]
  (let [revision (:revision args)
        cwd (:cwd args)
        ref (or revision repo-branch)]
    (lcd-git/clone ctx repo-uri ref cwd)))

(defn compile [args ctx]
  (lcd-shell/bash ctx (:cwd args) "lein compile"))

(defn test [args ctx]
  (lcd-shell/bash ctx (:cwd args) "lein test"))
